## purpose 5.50.0

=== debian/changelog ===
purpose (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:20:06 +0100

purpose (5.49.0-0ubuntu1) cosmic; urgency=medium

  * Install new plugin which adds a share action to Dolphin context menu
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:32:32 +0100

purpose (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)
  * Sync changes with debian unstable (5.46). Remaining changes
    - debian/control: 
      - Keep Kubuntu VCS fields
      - Keep recommends on qml-module-ubuntu-onlineaccounts
    - debian/tests/*: Keep our tests
    - Keep Kubuntu symbols
  * Drop all transitional packages. Not required after Bionic 18.04
  * 

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:51:55 +0100

purpose (5.46.0-1) unstable; urgency=medium

  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * testsuite: Ignore stderr
  * Bump group breaks (5.46)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:15:54 +0200

purpose (5.46.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:58:59 +0100

purpose (5.44.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to point to its location as Framework, and add the
    signing key.
  * Update the patches:
    - use_nodejs.diff: drop, obsolete now (upstream does it)
  * Update install files.
  * Update symbols file.
  * Fix the dh_makeshlibs invocation:
    - call it with -V for libkf5purpose-bin, so shlibdeps on the private
      libraries can be detected properly (thus qml-module-org-kde-purpose
      has the proper dependency)
    - call it without arguments for all the other binaries, so symbols files
      work as expected
  * Update lintian overrides.
  * Switch Vcs-* fields to salsa.debian.org.
  * Small changes to copyright.
  * Tighten the inter-library dependencies.
  * Force "node" as executable for nodejs (see CTTE #862051); patch
    nodejs-name.diff.
  * Bump Standards-Version to 4.1.4, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Apr 2018 08:56:29 +0200

=== debian/control ===
Source: purpose
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 5.50.0~),
               intltool,
               kaccounts-integration,
               libaccounts-glib-dev,
               libaccounts-qt5-dev,
               libkaccounts-dev,
               libkf5config-dev (>= 5.50.0~),
               libkf5coreaddons-dev (>= 5.50.0~),
               libkf5declarative-dev (>= 5.50.0~),
               libkf5i18n-dev (>= 5.50.0~),
               libkf5kcmutils-dev (>= 5.50.0~),
               libkf5kio-dev (>= 5.50.0~),
               libkf5wallet-dev (>= 5.50.0~),
               libsignon-qt5-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev (>= 5.8.0~),
Standards-Version: 4.1.4
Homepage: https://cgit.kde.org/purpose.git/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/purpose
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/purpose

Package: libkf5purpose-bin
Architecture: any
Multi-Arch: same
Depends: qml-module-org-kde-kquickcontrolsaddons (>= 5.47),
         qml-module-qtquick-dialogs,
         qml-module-ubuntu-onlineaccounts,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kdeconnect, nodejs
Breaks: kamoso (<< 3.2.1~), libkf5purpose5 (<< 5.47.0~)
Replaces: kamoso (<< 3.2.1~), libkf5purpose5 (<< 5.47.0~)
Description: abstraction to provide and leverage actions of a specific kind, runtime
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose runtime elements.

Package: libkf5purpose-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libkf5coreaddons-dev (>= 5.50.0~),
         libkf5purpose-bin (= ${binary:Version}),
         libkf5purpose5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
Description: abstraction to provide and leverage actions of a specific kind, devel files
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose development files.

Package: libkf5purpose5
Architecture: any
Multi-Arch: same
Depends: qml-module-org-kde-kquickcontrolsaddons (>= 5.47),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5purpose-bin, qml-module-org-kde-purpose (= ${binary:Version})
Suggests: kde-telepathy-send-file
Conflicts: libkf5purposewidgets5 (<< 1.1-2~)
Replaces: libkf5purposewidgets5 (<< 1.1-2~)
Description: library for abstractions to get the developer's purposes fulfilled
 Framework for providing abstractions to get the developer's purposes fulfilled.
 .
 This package contains the Purpose library.

Package: qml-module-org-kde-purpose
Architecture: any
Multi-Arch: same
Depends: qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kdeconnect, qml-module-ubuntu-onlineaccounts
Breaks: qml-modules-org-kde-purpose (<< 1.1-5~)
Replaces: qml-modules-org-kde-purpose (<< 1.1-5~)
Description: abstraction to provide and leverage actions of a specific kind, qml bindings
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose Qt Quick QML bindings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

override_dh_auto_test:
	# Disable auto_tests at build time
	:

override_dh_makeshlibs:
	$(overridden_command) -plibkf5purpose-bin -V
	$(overridden_command) --remaining-packages

override_dh_shlibdeps:
	$(overridden_command) -plibkf5purpose5 -- -xlibkf5purpose-bin
	$(overridden_command) --remaining-packages

## purpose 5.54.0

=== src/plugins/youtube/icons/CMakeLists.txt ===
ecm_install_icons(ICONS
    16-actions-kipiplugin_youtube.png
    22-actions-kipiplugin_youtube.png
    32-actions-kipiplugin_youtube.png
    48-actions-kipiplugin_youtube.png
    64-actions-kipiplugin_youtube.png
THEME hicolor
DESTINATION ${ICON_INSTALL_DIR} )

=== debian/changelog ===
purpose (5.54.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Add qml-module-qtquick-controls2 runtime dependency
  * Bump group breaks (5.54)
  * Release to unstable

  [ Scarlett Gately Moore ]
  * Add missing qml dependency for bluezqt.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:27:38 -0300

purpose (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.50)
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Run auto tests with no parallel
  * Bump group breaks (5.51)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:17:36 +0100

purpose (5.49.0-1) unstable; urgency=medium

  * New revision
  * Migrate to debhelper 11
  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Update install files
  * Bump group breaks (5.49)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:19:16 +0200

purpose (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.47)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:11:05 +0200

=== debian/control ===
Source: purpose
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.54.0~),
               intltool,
               kaccounts-integration,
               libaccounts-glib-dev,
               libaccounts-qt5-dev,
               libkaccounts-dev,
               libkf5config-dev (>= 5.54.0~),
               libkf5coreaddons-dev (>= 5.54.0~),
               libkf5declarative-dev,
               libkf5i18n-dev (>= 5.54.0~),
               libkf5kcmutils-dev,
               libkf5kio-dev (>= 5.54.0~),
               libkf5wallet-dev,
               libsignon-qt5-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
Standards-Version: 4.1.4
Homepage: https://cgit.kde.org/purpose.git/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/purpose
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/purpose.git

Package: libkf5purpose-bin
Architecture: any
Multi-Arch: same
Depends: qml-module-org-kde-bluezqt (>= 5.54),
         qml-module-org-kde-kquickcontrolsaddons (>= 5.54),
         qml-module-qtquick-dialogs,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kdeconnect, nodejs
Breaks: kamoso (<< 3.2.1~), libkf5purpose5 (<< ${source:Version}~ciBuild)
Replaces: kamoso (<< 3.2.1~), libkf5purpose5 (<< ${source:Version}~ciBuild)
Description: abstraction to provide and leverage actions of a specific kind, runtime
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose runtime elements.

Package: libkf5purpose-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5coreaddons-dev (>= 5.54.0~),
         libkf5purpose-bin (= ${binary:Version}),
         libkf5purpose5 (= ${binary:Version}),
         qtbase5-dev (>= 5.9.0~),
         ${misc:Depends},
Description: abstraction to provide and leverage actions of a specific kind, devel files
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose development files.

Package: libkf5purpose5
Architecture: any
Multi-Arch: same
Depends: qml-module-org-kde-kquickcontrolsaddons (>= 5.54),
         qml-module-qtquick-controls2,
         ${misc:Depends},
         ${shlibs:Depends},
Conflicts: libkf5purposewidgets5 (<< 1.1-2~)
Replaces: libkf5purposewidgets5 (<< 1.1-2~)
Recommends: libkf5purpose-bin, qml-module-org-kde-purpose (= ${binary:Version})
Suggests: kde-telepathy-send-file
Description: library for abstractions to get the developer's purposes fulfilled
 Framework for providing abstractions to get the developer's purposes fulfilled.
 .
 This package contains the Purpose library.

Package: qml-module-org-kde-purpose
Architecture: any
Multi-Arch: same
Replaces: qml-modules-org-kde-purpose (<< 1.1-5~)
Breaks: qml-modules-org-kde-purpose (<< 1.1-5~)
Depends: qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kdeconnect
Description: abstraction to provide and leverage actions of a specific kind, qml bindings
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose Qt Quick QML bindings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_test:
	# Disable auto_tests at build time
	:

override_dh_makeshlibs:
	dh_makeshlibs -plibkf5purpose-bin -V
	dh_makeshlibs --remaining-packages

override_dh_shlibdeps:
	dh_shlibdeps -plibkf5purpose5 -- -xlibkf5purpose-bin
	dh_shlibdeps --remaining-packages

override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
	dh_gencontrol

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, openbox, kinit, libgl1-mesa-dri
Restrictions: build-needed, allow-stderr

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

## purpose 5.56.0

=== debian/changelog ===
purpose (5.56.0-0ubuntu1) disco; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.56.0)

  [ Rik Mills ]
  * New build dep on libkf5notifications-dev.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:38:55 +0000

purpose (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:34:22 +0000

purpose (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:37:30 +0000

purpose (5.53.0-0ubuntu1) disco; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.53.0)

  [ Rik Mills ]
  * Update symbols from build logs.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:51:04 +0000

purpose (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:44:27 +0000

=== debian/control ===
Source: purpose
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 5.56.0~),
               intltool,
               kaccounts-integration,
               libaccounts-glib-dev,
               libaccounts-qt5-dev,
               libkaccounts-dev,
               libkf5config-dev (>= 5.56.0~),
               libkf5coreaddons-dev (>= 5.56.0~),
               libkf5declarative-dev (>= 5.56.0~),
               libkf5i18n-dev (>= 5.56.0~),
               libkf5kcmutils-dev (>= 5.56.0~),
               libkf5kio-dev (>= 5.56.0~),
               libkf5notifications-dev (>= 5.56.0~),
               libkf5wallet-dev (>= 5.56.0~),
               libsignon-qt5-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev (>= 5.8.0~),
Standards-Version: 4.1.4
Homepage: https://cgit.kde.org/purpose.git/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/purpose
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/purpose

Package: libkf5purpose-bin
Architecture: any
Multi-Arch: same
Depends: qml-module-org-kde-kquickcontrolsaddons (>= 5.47),
         qml-module-qtquick-dialogs,
         qml-module-ubuntu-onlineaccounts,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kdeconnect, nodejs
Breaks: kamoso (<< 3.2.1~), libkf5purpose5 (<< 5.47.0~)
Replaces: kamoso (<< 3.2.1~), libkf5purpose5 (<< 5.47.0~)
Description: abstraction to provide and leverage actions of a specific kind, runtime
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose runtime elements.

Package: libkf5purpose-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libkf5coreaddons-dev (>= 5.55.0~),
         libkf5purpose-bin (= ${binary:Version}),
         libkf5purpose5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
Description: abstraction to provide and leverage actions of a specific kind, devel files
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose development files.

Package: libkf5purpose5
Architecture: any
Multi-Arch: same
Depends: qml-module-org-kde-kquickcontrolsaddons (>= 5.47),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5purpose-bin, qml-module-org-kde-purpose (= ${binary:Version})
Suggests: kde-telepathy-send-file
Conflicts: libkf5purposewidgets5 (<< 1.1-2~)
Replaces: libkf5purposewidgets5 (<< 1.1-2~)
Description: library for abstractions to get the developer's purposes fulfilled
 Framework for providing abstractions to get the developer's purposes fulfilled.
 .
 This package contains the Purpose library.

Package: qml-module-org-kde-purpose
Architecture: any
Multi-Arch: same
Depends: qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kdeconnect, qml-module-ubuntu-onlineaccounts
Breaks: qml-modules-org-kde-purpose (<< 1.1-5~)
Replaces: qml-modules-org-kde-purpose (<< 1.1-5~)
Description: abstraction to provide and leverage actions of a specific kind, qml bindings
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose Qt Quick QML bindings.

=== debian/tests/control ===
#Tests: testsuite
#Depends: @, @builddeps@, build-essential,
#         xvfb, xauth, dbus-x11, openbox, kinit, libgl1-mesa-dri
#Restrictions: build-needed
#

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

## purpose 5.62.0

=== debian/changelog ===
purpose (5.62.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Limit the qml-module-org-kde-bluezqt dependency in libkf5purpose-bin to
    Linux architectures only, as bluez (and thus bluez-qt) exists only on
    Linux.

 -- Pino Toscano <pino@debian.org>  Tue, 01 Oct 2019 18:44:52 +0200

purpose (5.62.0-1) unstable; urgency=medium

  * Update reprotest args variable
  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:13:18 -0700

purpose (5.61.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update build-deps and deps with the info from cmake
  * Add missing version to maintscript
  * Refresh patches
  * Add libkf5notifications-dev build-dep
  * Ignore reprotest build path variations
  * Release to experimental

  [ Jonathan Riddell ]
  * moved qdebug files

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:11:10 +0100

=== debian/control ===
Source: purpose
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.62.0~),
               intltool,
               kaccounts-integration,
               kirigami2-dev (>= 5.62.0~),
               libaccounts-glib-dev,
               libaccounts-qt5-dev,
               libkaccounts-dev,
               libkf5config-dev (>= 5.62.0~),
               libkf5coreaddons-dev (>= 5.62.0~),
               libkf5declarative-dev,
               libkf5i18n-dev (>= 5.62.0~),
               libkf5kcmutils-dev,
               libkf5kio-dev (>= 5.62.0~),
               libkf5notifications-dev,
               libkf5wallet-dev,
               libsignon-qt5-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.11.0~),
               qtdeclarative5-dev (>= 5.11.0~),
Standards-Version: 4.4.0
Homepage: https://cgit.kde.org/purpose.git/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/purpose
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/purpose.git

Package: libkf5purpose-bin
Architecture: any
Multi-Arch: same
Depends: qml-module-org-kde-bluezqt (>= 5.54) [linux-any],
         qml-module-org-kde-kquickcontrolsaddons (>= 5.54),
         qml-module-qtquick-dialogs,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kdeconnect, nodejs
Breaks: kamoso (<< 3.2.1~), libkf5purpose5 (<< ${source:Version}~ciBuild)
Replaces: kamoso (<< 3.2.1~), libkf5purpose5 (<< ${source:Version}~ciBuild)
Description: abstraction to provide and leverage actions of a specific kind, runtime
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose runtime elements.

Package: libkf5purpose-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5coreaddons-dev (>= 5.62.0~),
         libkf5purpose-bin (= ${binary:Version}),
         libkf5purpose5 (= ${binary:Version}),
         qtbase5-dev (>= 5.11.0~),
         ${misc:Depends},
Description: abstraction to provide and leverage actions of a specific kind, devel files
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose development files.

Package: libkf5purpose5
Architecture: any
Multi-Arch: same
Depends: qml-module-org-kde-kquickcontrolsaddons (>= 5.54),
         qml-module-qtquick-controls2,
         ${misc:Depends},
         ${shlibs:Depends},
Conflicts: libkf5purposewidgets5 (<< 1.1-2~)
Replaces: libkf5purposewidgets5 (<< 1.1-2~)
Recommends: libkf5purpose-bin, qml-module-org-kde-purpose (= ${binary:Version})
Suggests: kde-telepathy-send-file
Description: library for abstractions to get the developer's purposes fulfilled
 Framework for providing abstractions to get the developer's purposes fulfilled.
 .
 This package contains the Purpose library.

Package: qml-module-org-kde-purpose
Architecture: any
Multi-Arch: same
Replaces: qml-modules-org-kde-purpose (<< 1.1-5~)
Breaks: qml-modules-org-kde-purpose (<< 1.1-5~)
Depends: qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kdeconnect
Description: abstraction to provide and leverage actions of a specific kind, qml bindings
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose Qt Quick QML bindings.

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 
 %:
 	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp
+
+override_dh_auto_configure:
+	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF
 
 override_dh_auto_test:
 	# Disable auto_tests at build time

## purpose 5.68.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(Purpose)

find_package(ECM 5.68.0 REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

set(REQUIRED_QT_VERSION 5.12.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Qml Gui DBus Widgets Network Test)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(FeatureSummary)
include(GenerateExportHeader)

include(ECMSetupVersion)
include(ECMAddTests)
include(ECMInstallIcons)
include(ECMGenerateHeaders)
include(ECMMarkNonGuiExecutable)
include(ECMQtDeclareLoggingCategory)

set(KF5_VERSION "5.68.0") # handled by release scripts
set(KF5_DEP_VERSION "5.68.0") # handled by release scripts

find_package(KF5 ${KF5_DEP_VERSION} REQUIRED COMPONENTS CoreAddons I18n Config Kirigami2)

ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX PURPOSE
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/purpose_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5PurposeConfigVersion.cmake"
                        SOVERSION 5)

# Wait until libaccounts-qt has a release that doesn't use QString::null https://gitlab.com/accounts-sso/libaccounts-qt/issues/4
#add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054300)
add_definitions(-DQT_NO_FOREACH)
add_subdirectory( src )
if (BUILD_TESTING)
    add_subdirectory( autotests )
    add_subdirectory( tests )
endif()

if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Purpose")

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5PurposeConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PurposeConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PurposeConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PurposeConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5PurposeTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5PurposeTargets.cmake NAMESPACE KF5:: )

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/purpose_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/purpose COMPONENT Devel
)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

#TODO: Remove somewhen in the future
install(FILES
  "${CMAKE_CURRENT_SOURCE_DIR}/KDEExperimentalPurposeConfig.cmake"
  DESTINATION "${KDE_INSTALL_CMAKEPACKAGEDIR}/KDEExperimentalPurpose"
  COMPONENT Devel
)

=== autotests/CMakeLists.txt ===
ecm_add_tests(alternativesmodeltest LINK_LIBRARIES Qt5::Test KF5::Purpose KF5::ConfigCore)
ecm_add_tests(menutest LINK_LIBRARIES Qt5::Test KF5::PurposeWidgets)

set(bindest "${CMAKE_BINARY_DIR}/bin/qml")
set_property(TEST menutest PROPERTY ENVIRONMENT QML2_IMPORT_PATH=${bindest} APPEND)
set_property(TEST alternativesmodeltest PROPERTY ENVIRONMENT QML2_IMPORT_PATH=${bindest} APPEND)
set_property(TEST menutest PROPERTY ENVIRONMENT KDE_PURPOSE_LOCAL_JOBS=1 APPEND)
set_property(TEST alternativesmodeltest PROPERTY ENVIRONMENT KDE_PURPOSE_LOCAL_JOBS=1 APPEND)

=== src/plugins/CMakeLists.txt ===
function(add_share_plugin name)
    kcoreaddons_add_plugin(${name} SOURCES ${ARGN} JSON "${name}.json" INSTALL_NAMESPACE "kf5/purpose")
    target_link_libraries(${name} Qt5::Core KF5::Purpose)
    set_target_properties(${name} PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/kf5/purpose")

    if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/${name}_config.qml")
        install(FILES "${name}_config.qml" DESTINATION ${DATA_INSTALL_DIR}/purpose)
    endif()
endfunction()

set(KPACKAGE_RELATIVE_DATA_INSTALL_DIR "kpackage")
function(kpackage_install_package dir component root)
   set(install_dir ${ARGV3})
   if(NOT install_dir)
      set(install_dir ${KPACKAGE_RELATIVE_DATA_INSTALL_DIR})
   endif()
   install(DIRECTORY ${dir}/ USE_SOURCE_PERMISSIONS
           DESTINATION ${DATA_INSTALL_DIR}/${install_dir}/${root}/${component}
           PATTERN Messages.sh EXCLUDE)
endfunction()

include(ECMQMLModules)
ecm_find_qmlmodule(Ubuntu.OnlineAccounts 0.1)
ecm_find_qmlmodule(org.kde.kdeconnect 1.0)
ecm_find_qmlmodule(org.kde.kquickcontrolsaddons 2.0)

find_package(KAccounts)
find_package(KF5KIO ${KF5_DEP_VERSION} REQUIRED)

set_package_properties(KAccounts PROPERTIES
                       PURPOSE "Used to find your system-wide defined, for now only for YouTube."
                       TYPE OPTIONAL
)
set_package_properties(KF5KIO PROPERTIES TYPE REQUIRED)

add_subdirectory(saveas)
add_subdirectory(imgur)
add_subdirectory(pastebin)
add_subdirectory(ktp-sendfile)
if (KAccounts_FOUND)
    add_subdirectory(youtube)
    add_subdirectory(nextcloud)
endif()
add_subdirectory(kdeconnect)
add_subdirectory(reviewboard)
add_subdirectory(phabricator)
add_subdirectory(email)
add_subdirectory(telegram)
add_subdirectory(bluetooth)
add_subdirectory(kdeconnect_sms)

=== src/plugins/phabricator/CMakeLists.txt ===
find_program(ARCANIST arc)
if(NOT ARCANIST)
    message(WARNING "The phabricator plugin depends on having the 'arc' script available in the PATH")
else()
    message(STATUS "The 'arc' script was found as ${ARCANIST}")
endif()

add_definitions(-DTRANSLATION_DOMAIN=\"purpose_phabricator\")

add_subdirectory(icons)

set(PhabricatorHelper_SRCS phabricatorjobs.cpp)
ecm_qt_declare_logging_category(PhabricatorHelper_SRCS
    HEADER debug.h
    IDENTIFIER PLUGIN_PHABRICATOR
    CATEGORY_NAME kdevplatform.plugins.phabricator
    DEFAULT_SEVERITY Debug
    DESCRIPTION "purpose (phabricator plugin)"
    EXPORT PURPOSE
)

add_library(PhabricatorHelpers ${PhabricatorHelper_SRCS})
generate_export_header(PhabricatorHelpers EXPORT_FILE_NAME phabricatorhelpers_export.h)
target_link_libraries(PhabricatorHelpers KF5::CoreAddons KF5::I18n)

add_executable(testphabricator tests/testphabricator.cpp)
ecm_mark_nongui_executable(testphabricator)
target_link_libraries(testphabricator PhabricatorHelpers Qt5::Core)

add_share_plugin(phabricatorplugin phabricatorplugin.cpp)
target_link_libraries(phabricatorplugin Qt5::Widgets PhabricatorHelpers)

set_target_properties(PhabricatorHelpers PROPERTIES VERSION ${PURPOSE_VERSION_STRING} SOVERSION ${PURPOSE_SOVERSION})
install(TARGETS PhabricatorHelpers ${KF5_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

add_library(phabricatorquickplugin quick/phabricatorquickplugin.cpp quick/difflistmodel.cpp quick/phabricatorrc.cpp)
target_link_libraries(phabricatorquickplugin Qt5::Qml Qt5::Gui PhabricatorHelpers)

install(TARGETS phabricatorquickplugin DESTINATION ${QML_INSTALL_DIR}/org/kde/purpose/phabricator)
install(FILES quick/qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/purpose/phabricator)

=== debian/changelog ===
purpose (5.68.0-0ubuntu1) focal; urgency=medium

  * Adapt to upstream dropping twitter support.
    - Drop no longer needed nodejs-name.diff
    - Drop nodejs recommends.
  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 21:00:57 +0000

purpose (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:53:43 +0000

purpose (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)
  * debian/control: Add qml-module-org-kde-bluezqt as runtime depends of
    libkf5purpose-bin.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:22:38 +0000

purpose (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 23:03:33 +0000

purpose (5.64.0-0ubuntu1) focal; urgency=medium

  * Sync tests changes from Debian:
    - debian/tests: Remove testsuite.
    - debian/rules: Don't build tests.
  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:27:45 +0000

purpose (5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:10:14 +0100

purpose (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:45:56 +0100

purpose (5.60.0-0ubuntu1) eoan; urgency=medium

  * Move qdebug categories file to new location.
  * New upstream release (5.60.0)
  * Refresh patches.
  * New build depend on kirigami2-dev

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:19:17 +0100

purpose (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:22:27 +0100

purpose (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:43:41 +0100

purpose (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:41:12 +0100

=== debian/control ===
Source: purpose
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 5.68.0~),
               intltool,
               kaccounts-integration,
               kirigami2-dev (>= 5.68.0~),
               libaccounts-glib-dev,
               libaccounts-qt5-dev,
               libkaccounts-dev,
               libkf5config-dev (>= 5.68.0~),
               libkf5coreaddons-dev (>= 5.68.0~),
               libkf5declarative-dev (>= 5.68.0~),
               libkf5i18n-dev (>= 5.68.0~),
               libkf5kcmutils-dev (>= 5.68.0~),
               libkf5kio-dev (>= 5.68.0~),
               libkf5notifications-dev (>= 5.68.0~),
               libkf5wallet-dev (>= 5.68.0~),
               libsignon-qt5-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev (>= 5.8.0~),
Standards-Version: 4.1.4
Homepage: https://cgit.kde.org/purpose.git/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/purpose
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/purpose

Package: libkf5purpose-bin
Architecture: any
Multi-Arch: same
Depends: libkaccounts1,
         qml-module-org-kde-bluezqt,
         qml-module-org-kde-kquickcontrolsaddons (>= 5.47),
         qml-module-qtquick-dialogs,
         qml-module-ubuntu-onlineaccounts,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kdeconnect
Breaks: kamoso (<< 3.2.1~), libkf5purpose5 (<< 5.47.0~)
Replaces: kamoso (<< 3.2.1~), libkf5purpose5 (<< 5.47.0~)
Description: abstraction to provide and leverage actions of a specific kind, runtime
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose runtime elements.

Package: libkf5purpose-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libkf5coreaddons-dev (>= 5.68.0~),
         libkf5purpose-bin (= ${binary:Version}),
         libkf5purpose5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
Description: abstraction to provide and leverage actions of a specific kind, devel files
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose development files.

Package: libkf5purpose5
Architecture: any
Multi-Arch: same
Depends: qml-module-org-kde-kquickcontrolsaddons (>= 5.47),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5purpose-bin, qml-module-org-kde-purpose (= ${binary:Version})
Suggests: kde-telepathy-send-file
Conflicts: libkf5purposewidgets5 (<< 1.1-2~)
Replaces: libkf5purposewidgets5 (<< 1.1-2~)
Description: library for abstractions to get the developer's purposes fulfilled
 Framework for providing abstractions to get the developer's purposes fulfilled.
 .
 This package contains the Purpose library.

Package: qml-module-org-kde-purpose
Architecture: any
Multi-Arch: same
Depends: qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kdeconnect, qml-module-ubuntu-onlineaccounts
Breaks: qml-modules-org-kde-purpose (<< 1.1-5~)
Replaces: qml-modules-org-kde-purpose (<< 1.1-5~)
Description: abstraction to provide and leverage actions of a specific kind, qml bindings
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose Qt Quick QML bindings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

override_dh_auto_configure:
	$(overridden_command) -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable auto_tests at build time
	:

override_dh_makeshlibs:
	$(overridden_command) -plibkf5purpose-bin -V
	$(overridden_command) --remaining-packages

override_dh_shlibdeps:
	$(overridden_command) -plibkf5purpose5 -- -xlibkf5purpose-bin
	$(overridden_command) -plibkf5purpose-bin -- -xlibkaccounts1
	$(overridden_command) --remaining-packages
